---
inherit_gem:
  gitlab-styles:
    - rubocop-default.yml

require:
  - ./rubocop/rubocop

AllCops:
  TargetRubyVersion: 2.7.2
  Exclude:
    - 'GDK_ROOT'
    - '.backups/**/*'
    - '.cache/**/*'
    - '.git/**/*'
    - 'Brewfile'
    - 'Dangerfile'
    - 'charts-gitlab/**/*'
    - 'danger/**/*'
    - 'dev/**/*'
    - 'elasticsearch/**/*'
    - 'gitaly/**/*'
    - 'gitlab-docs/**/*'
    - 'gitlab-elasticsearch-indexer/**/*'
    - 'gitlab-k8s-agent/**/*'
    - 'gitlab-pages/**/*'
    - 'gitlab-runner/**/*'
    - 'gitlab-shell/**/*'
    - 'gitlab-spamcheck/**/*'
    - 'gitlab-ui/**/*'
    - 'gitlab-workhorse/**/*'
    - 'gitlab/**/*'
    - 'go-gitlab-shell/**/*'
    - 'grafana/**/*'
    - 'influxdb/**/*'
    - 'jaeger/**/*'
    - 'log/**/*'
    - 'node_modules/**/*'
    - 'omnibus-gitlab/**/*'
    - 'postgresql-geo/**/*'
    - 'postgresql-primary/**/*'
    - 'postgresql/**/*'
    - 'repositories/**/*'
    - 'services/**/*'
    - 'sv/**/*'
    - 'tmp/**/*'
    - 'tooling/**/*'
    - 'vendor/**/*'
    - 'www-gitlab-com/**/*'

CodeReuse/ActiveRecord:
  Enabled: false

Layout/LineLength:
  Enabled: false

Rails:
  Enabled: false

RSpec/ContextWording:
  Enabled: false

RSpec/MultipleMemoizedHelpers:
  Enabled: false

RSpec/PredicateMatcher:
  Enabled: false
